<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/css" href="../css/data.css"?>
<form xmlns="http://www.ge.fr/schema/1.2/form-manager" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" id="info" label="Recherche de l'utilisateur" xsi:schemaLocation="http://www.ge.fr/schema/1.2/form-manager http://svn.projet-ge.fr:8080/archiva/repository/xsd/form-manager/form-manager/1.2/form-manager-1.2.xsd">

    <default>
        <data type="StringReadOnly" mandatory="false" />
    </default>

    <group id="account" label="Recherche">
        <!-- Partie recherche -->
        <group id="search" label="Recherche d'un compte">
            <data id="idOrEmail" label="ID ou Email du compte à supprimer :" type="String" width="80%" mandatory="true"/>
            <data id="searchButton" type="RadiosBox" trigger="navigation.submit()" width="20%">
                <conftype>
                    <referential>
                        <text id="launchSearch" icon="search">Recherche</text>
                    </referential>
                </conftype>
            </data>
        </group>
        <!-- Partie resultat -->
        <group id="results" label="Résultat de la recherche">
            <data id="searchId" label="Compte recherché" if="true"/>
            <group id="gp" label="guichet-partenaires.fr" if="_group.searchId and '' != _group.searchId">
                <group id="input" label="Rappel des éléments d'entrée." fold="yes">
                    <data id="url" label="Url du service." type="StringReadOnly" />
                    <data id="idOrEmail" label="ID or Email" type="StringReadOnly" />
                </group>
                <group id="output" label="Resultat de l'appel" fold="yes">
                    <data id="status" label="Statut de retour" type="StringReadOnly" />
                    <data id="response" label="Message de retour" type="TextReadOnly" />
                    <data id="found" type="RadiosBox">
                        <conftype>
                            <referential>
                                <text id="gpok" icon="child">Utilisateur trouvé</text>
                            </referential>
                        </conftype>
                    </data>
                </group>
                <group id="noresult" label="Pas d'utilisateur" if="!Value('id').of($results.gp.output.found).eq('gpok')">
                    <description>
                La recherche n'a pas permis de trouver un utilisateur.
                    </description>
                </group>
                <group id="result" label="Utilisateur trouvé" if="Value('id').of($results.gp.output.found).eq('gpok')">
                    <data id="email" label="email" width="50%" />
                    <data id="trackerId" label="ID" width="30%" />
                    <data id="connectionDate" label="connectionDate" width="20%" />
                    <data id="civility" label="civility" width="20%" />
                    <data id="firstName" label="firstName" width="40%" />
                    <data id="lastName" label="lastName" width="40%" />
                    <data id="language" label="language" width="20%" />
                    <data id="phone" label="phone" width="60%" />
                    <data id="phoneCheck" label="phoneCheck" width="20%" />
                    <!-- more details -->
                    <data id="more" label="Plus de détails" type="BooleanCheckBox" />
                    <data id="password" label="password" if="_group.more" />
                    <data id="fcId" label="fcId" if="_group.more" />
                    <data id="mailType" label="mailType" if="_group.more" />
                    <data id="referrerFirstName" label="referrerFirstName" if="_group.more" />
                    <data id="referrerLastName" label="referrerLastName" if="_group.more" />
                    <data id="oldEmail" label="oldEmail" if="_group.more" />
                    <data id="remove" type="RadiosBox">
                        <conftype>
                            <referential>
                                <text id="gpremoveok" icon="user-times">Supprimer cet utilisateur</text>
                                <text id="gpremovenok" icon="heart">NE PAS Supprimer cet utilisateur</text>
                            </referential>
                        </conftype>
                    </data>
                </group>
            </group>
            <group id="confirm" label="confirmation de la suppression">
                <if><![CDATA[
                    (  (Value('id').of($results.gp.output.found).eq('gpok')) 
                       && Value('id').of($results.gp.result.remove).eq('gpremoveok'))
                ]]>                </if>
                <data id="yes" label="Je confirme la demande de suppression" type="BooleanCheckBox" mandatory="true" width="80%">
                </data>
                <data id="deleteButton" type="RadiosBox" trigger="navigation.submit()" width="20%">
                    <conftype>
                        <referential>
                            <text id="launchDelete" icon="search">Supprimer</text>
                        </referential>
                    </conftype>
                </data>
            </group>
        </group>
    </group>
</form>
